### Method

# Gio Task set_task_data

since: 2.36

#### Declaration [src]

    void
    g_task_set_task_data (
      GTask* task,
      gpointer task_data,
      GDestroyNotify task_data_destroy
    )

#### Description [src]

Sets `task`‘s task data (freeing the existing task data, if any).

Available since: 2.36

#### Parameters

`task_data`

  Type: `gpointer`

  Task-specific data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`task_data_destroy`

  Type: `GDestroyNotify`

  `GDestroyNotify` for `task_data`.

  The argument can be `NULL`.